from openlog.gui.assay_visualization.cross_symbology.cross_symbology_handler import (
    CrossSymbologyHandler,
)
from openlog.plugins.hookspecs import FillCurveHook, hookimpl

#: Name of the plugin that will be referenced in our configuration
PLUGIN_NAME = "fill_curve"


@hookimpl
def fill_curve_plugin():
    return FillCurveHook(name=PLUGIN_NAME, enable=False, handler=CrossSymbologyHandler)
